#! /bin/sh -e

#    Grub2 Fingerprint Theme
#    Copyright (C) 2010 Janosch Maier
#    http://phynformatik.de
#    <janosch_maier@online.de>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

   WALLPAPER="/usr/share/images/desktop-base/moreblue-orbit-grub.png"
   COLOR_NORMAL="light-gray/black"
   COLOR_HIGHLIGHT="white/black"

if [ "${GRUB_MENU_PICTURE}" ] ; then
   echo "Eigene Daten für 05_debian_theme eingesetzt" >&2

   [ ${GRUB_COLOR_NORMAL} ] && COLOR_NORMAL="${GRUB_COLOR_NORMAL}"
   [ ${GRUB_COLOR_HIGHLIGHT} ] && COLOR_HIGHLIGHT="${GRUB_COLOR_HIGHLIGHT}"
   WALLPAPER=/usr/share/desktop-base/"${GRUB_MENU_PICTURE}"
fi
